Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035963
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Layaway ordermajoralways2017-05-09 22:292017-06-02 14:52
ReporterletcharrenView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision634970c1c2e3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR17Q1SCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2016-10-04
Regression introduced in releaseRR17Q1
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d525bc1c51ec [^]
Triggers an Emergency PackNo
Summary

0035963: When you pay a layaway from the backend and then you want to create the invoice and good shipment from Web Pos is not posible

DescriptionWhen you create a layaway in Web Pos and then you pay it backend, when you look for the layaway from the POS Web, the DONE button is disabled, being unable to generate the invoice and tax. This worked well in 16Q4.3
Steps To Reproduce1-Enter to Web POS
2-Create a layaway
3-Enter to the backend
4-Pay the Layaway
5-Enter to WebPOS
6-Search the layaway recently created
7-See that the DONE button is disabled
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0036142RR17Q2.1 closedranjith_qualiantech_com When you pay a layaway from the backend and then you want to create the invoice and good shipment from Web Pos is not posible 
depends on backport 0036143RR17Q1.2 closedranjith_qualiantech_com When you pay a layaway from the backend and then you want to create the invoice and good shipment from Web Pos is not posible 

-  Notes
(0096677)
hgbot (developer)
2017-05-19 11:42

Repository: tools/automation/pi-mobile
Changeset: 65df5f1178e8eaff72401a97e009d4efa6188f63
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:11:42 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/65df5f1178e8eaff72401a97e009d4efa6188f63 [^]

Verifies issue 35963 : Added automated test 'I35963_VerifyLayawayDoneOnFullPayment'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I31626_VoidLayawayAddPayment.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I35963_VerifyLayawayDoneOnFullPayment.java
---
(0096678)
hgbot (developer)
2017-05-19 11:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 634970c1c2e33fce17214ce4878654c4db05fe25
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:11:24 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/634970c1c2e33fce17214ce4878654c4db05fe25 [^]

Fixed issue 35963 : Enable DONE Button for layaway if it fully paid in backoffice

* For layaway, if it is fully paid in back office, DONE Button should be enabled to generate the invoices

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0097028)
marvintm (developer)
2017-05-30 17:36

Regression fields are not complete. Please fill the commit which caused it, so that we can be sure that the proposed fix is the best possible one.

- Issue History
Date Modified Username Field Change
2017-05-09 22:29 letcharren New Issue
2017-05-09 22:29 letcharren Assigned To => Retail
2017-05-09 22:29 letcharren Regression level => Production - QA Approved
2017-05-09 22:29 letcharren Regression introduced in release => RR17Q1
2017-05-09 22:29 letcharren Triggers an Emergency Pack => No
2017-05-10 11:02 heccam Issue Monitored: heccam
2017-05-10 15:19 Practics Issue Monitored: Practics
2017-05-16 14:55 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-05-16 14:55 ranjith_qualiantech_com Status new => scheduled
2017-05-19 11:42 hgbot Checkin
2017-05-19 11:42 hgbot Note Added: 0096677
2017-05-19 11:42 hgbot Checkin
2017-05-19 11:42 hgbot Note Added: 0096678
2017-05-19 11:42 hgbot Status scheduled => resolved
2017-05-19 11:42 hgbot Resolution open => fixed
2017-05-19 11:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/634970c1c2e33fce17214ce4878654c4db05fe25 [^]
2017-05-30 17:35 marvintm Status resolved => new
2017-05-30 17:35 marvintm Resolution fixed => open
2017-05-30 17:35 marvintm Status new => scheduled
2017-05-30 17:36 marvintm Status scheduled => resolved
2017-05-30 17:36 marvintm Fixed in Version => RR17Q3
2017-05-30 17:36 marvintm Resolution open => fixed
2017-05-30 17:36 marvintm Note Added: 0097028
2017-05-30 17:36 marvintm Status resolved => new
2017-05-30 17:36 marvintm Resolution fixed => open
2017-05-30 17:36 marvintm Fixed in Version RR17Q3 =>
2017-05-30 17:37 marvintm Status new => scheduled
2017-05-31 08:01 ranjith_qualiantech_com Regression date => 2016-10-04
2017-05-31 08:01 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d525bc1c51ec [^]
2017-06-02 14:52 marvintm Status scheduled => resolved
2017-06-02 14:52 marvintm Fixed in Version => RR17Q3
2017-06-02 14:52 marvintm Resolution open => fixed
2017-06-02 14:52 marvintm Review Assigned To => marvintm
2017-06-02 14:52 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker